User (Object)
- emailType: stringrequired
Email address of the user
- accessType: string | null
_token Security token that identifies the user
- addressType: string
_line1 Address information (part 1) of the user
- ageType: boolean
_verified _status Whether or not the user has undergone age verification. Possible Values: true, false. The value is set to true if the user's age is verified; otherwise, it is set to false. The response returns this parameter in sign-in, sign-up, and user update APIs if the age verification is enabled for the business in the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration setting.
- allowType: boolean
_multiple Whether multiple check-ins are allowed for the user or not
- allowType: boolean
_push _notifications Whether the user has allowed push notifications or not
- anniversaryFormat: dateenumconst:YYYY-MM-DD
Anniversary of the user in YYYY-MM-DD format. This field gets updated in the database only if the user did not set it at time of sign-up.
- authenticationType: string
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
- avatarType: string
_remote _url Avatar URL of the user profile image
- birthdayFormat: dateenumconst:YYYY-MM-DD
Birthday of the user, in YYYY-MM-DD format. This field gets updated in the database only if the user did not set it at time of sign-up.
- cityType: string
City where the user lives
- communicableType: string
_email Email address where emails should be sent
- createdFormat: date-timeenum
_at const:YYYY-MM-DDThh:mm:ssZDate/time when the user was created in the system, in ISO 8601 format
- emailType: string
_unsubscribe Unsubscribed email address of the user
- emailType: boolean
_verified Whether the email address is verified or not
- expirationFormat: dateenum
_date const:YYYY-MM-DDThis value will be returned only if "Account re-evaluation strategy" is set to Guest Inactivity. All other cases return a NULL value.
- facebookType: boolean
_signup Indicates whether the user signed up using Facebook. This parameter returns true the first time a user signs up using Facebook. For all subsequent logins, it returns a false value.
- favouriteType: string
_locations List of the user's favorite locations
- favouriteType: string
_store _numbers List of store numbers of the user's favorite locations
- fbType: integer
_uid Unique Facebook ID of the user
- firstType: string
_name First name of the user
- genderType: string
Gender of the user
- idType: integer
Unique ID of the user
- lastType: string
_name Last name of the user
- marketingType: boolean
_email _subscription Whether the user has subscribed to receive marketing emails or not
- marketingType: boolean
_pn _subscription Whether the user has subscribed to receive marketing push notifications or not
- migrateType: boolean
_status Whether the user has been migrated or not
- mindbody
_client _id - passcodeType: boolean
_configured Whether the passcode has been configured or not
- phoneType: string
Phone number of the user
- preferredType: string
_locale Preferred locale of the user
- profileType:
_field _answers Properties: 3Answers given by the user while filling in the user profile. The user submits answers to profile field questions that are configured in the Punchh platform. A total of 25 answers can be submitted. The keys range from 'upf0' to 'upf24'. If questions have multiple answers, the values should be separated by a | character (pipe).
- referralType: string
_code The user's referral code. The user can share this referral code to refer others to join the business loyalty program. When a referred user signs up and enters the shared referral code, this
referral_codemust be passed in theinvite_coderequest parameter when calling the Create New User API. - referralType: string
_path URL that points to the referred path
- secondaryType: string
_email Secondary email address of the user
- smsType: boolean
_subscription Whether the user has subscribed to SMS services or not
- stateType: string
State where the user lives
- termsType: boolean
_and _conditions Whether the user has agreed to the terms and conditions to use the app as per the configuration
- titleType: string
Title used for the user (e.g., Mr., Mrs., etc.)
- updatedFormat: date-timeenum
_at const:YYYY-MM-DDThh:mm:ssZDate/time when the user was updated in the system, in ISO 8601 format
- userType: integer
_as _barcode Unique user ID in barcode format
- userType: string
_as _qrcode Unique user ID in QR code format
- userType: string
_code - userType: integer
_id Unique user ID
- userFormat: date-timeenum
_joined _at const:YYYY-MM-DDThh:mm:ssZSign-up anniversary date of the user, in YYYY-MM-DDThh:mm:ssZ format
- userType:
_relations Properties: 4The object contains information about the relationship details of a user, for example, spouse and kid information. If the user account does not have relationship details, the API returns an empty user_relations object in the response.
- wantsType: boolean
_menu _notifications Whether the user wants to receive menu notifications or not
- work
_zip _code Zip code of the user's office
- zipType: string
_code Zip code of the user
